import * as translation from "../translation.js";

export interface IDocumentTheme {
  colorPrimaryForeground?: string;
  colorPrimaryBackground?: string;
  colorAccentForeground?: string;
  colorAccentBackground?: string;
  fontFamily?: string;
  pageBackground?: string;
  coverPageBackground?: string;
}

export interface IDocumentSettings {
  enableTopDraftText?: boolean;
  enableDefaultHeader?: boolean;
  enableDefaultFooter?: boolean;
  enableFoldMarks?: boolean;
  enableInvoiceContractRefSection?: boolean;
  languageCode?: translation.LanguageCode;
  dateStyle?: Intl.DateTimeFormatOptions["dateStyle"];
  vatGroupPositions?: boolean;
  theme?: IDocumentTheme;
}
