const DPI = 96 / 2.54; // <PX> / <INCH>
export const A4_HEIGHT = cmToPx(29.7); // DPI * 29.7cm
export const A4_WIDTH = cmToPx(21); // DPI * 21cm

export function cmToPx(value: number): number {
  return DPI * value;
}

import * as interfaces from "./interfaces/index.js";
export { interfaces };

import * as translation from "./translation.js";
export { translation };

export * from "./demoletter.js";
